> For the complete documentation index, see [llms.txt](https://docs.diffcord.com/diffcord-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.diffcord.com/diffcord-documentation/endpoints/users.md).

# Users

## Fetch User Vote Info

<mark style="color:blue;">`GET`</mark> `https://www.diffcord.com/api/v1/users/:user_id/votes`

#### Path Parameters

| Name                                       | Type    | Description                                   |
| ------------------------------------------ | ------- | --------------------------------------------- |
| user\_id<mark style="color:red;">\*</mark> | integer | the ID of the user whos votes will be fetched |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | string | API Key     |

{% tabs %}
{% tab title="200: OK Successfully fetched user vote information" %}

```json
{
    "data": {
        "bot_id": "146789012641328704",
        "user_id": "311143713431415332",
        "monthly_votes": 7,
        "since_last_vote": 304,
        "until_next_vote": 42895
    },
    "error": null
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized request" %}

```json
{
  "message": ...,
  "code": ...
}
```

{% endtab %}
{% endtabs %}
